%define anolis_release 1
%bcond_without check

Summary:       A library of functions for manipulating PNG image format files
Name:          libpng
Epoch:         1
Version:       1.6.38
Release:       %{anolis_release}%{?dist}
License:       zlib
URL:           http://www.libpng.org/pub/png/libpng.html
Source0:       https://download.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Source1:        pngusr.dfa

BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: autoconf automake libtool

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package devel
Summary:       Development tools for programs to manipulate PNG image format files
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description devel
The libpng-devel package contains header files and documentation necessary
for developing programs using the PNG (Portable Network Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install
the libpng package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package static
Summary:       Static PNG image format file library
Requires:      %{name}-devel = %{epoch}:%{version}-%{release}

%description static
The libpng-static package contains the statically linkable version of libpng.
Linking to static libraries is discouraged for most applications, but it is
necessary for some boot packages.

%package tools
Summary:       Tools for PNG image format file library
Requires:      %{name} = %{epoch}:%{version}-%{release}

%description tools
The libpng-tools package contains tools used by the authors of libpng.

%prep
%setup -q
# Provide pngusr.dfa for build.
cp -p %{SOURCE1} .

%build
autoreconf -vif
%configure
%make_build DFA_XTRA=pngusr.dfa

%install
%make_install

rm -f %{buildroot}%{_libdir}/libpng.la

%check
%if %{?_with_check:1}%{!?_with_check:0}
make check
%endif

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/libpng16.so.*
%{_mandir}/man5/*

%files devel
%doc libpng-manual.txt example.c
%{_bindir}/*
%{_includedir}/*
%{_libdir}/libpng*.so
%{_libdir}/pkgconfig/libpng*.pc
%{_mandir}/man3/*

%files doc
%doc TODO CHANGES

%files static
%{_libdir}/libpng*.a

%files tools
%{_bindir}/pngfix

%changelog
* Tue Oct 11 2022 Funda Wang <fundawang@yeah.net> - 1:1.6.38-1
- New version 1.6.38

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.6.37-2
- add doc package

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1:1.6.37-1 
- Initial version from upstream 1.6.37-1
